---

stages:
  - compile
  - build

compile:
  stage: compile
  image: alpine:latest
  tags:
    - docker-gcc
  script: |
      apk --update add git rsync

      antora_url="https://gitlab.com/antora/antora-ui-default.git"
      base_url="https://gitlab.com/gacybercenter/branding/antora_base.git"
      git clone $antora_url
      git clone $base_url

      cp -af /builds/gacybercenter/branding/antora_training/antora_base/* antora-ui-default/
      cp -af /builds/gacybercenter/branding/antora_training/src/* antora-ui-default/src/
      rsync -a /builds/gacybercenter/branding/antora_training/antora-ui-default/ .
  artifacts:
    expire_in: 1 day
    paths:
    - ./
  only:
    refs:
      - main
  allow_failure: false

build:
  stage: build
  image: node:lts-slim
  tags:
    - docker-gcc
  script:
    - npm install
    - npx gulp bundle
    - sha512sum build/ui-bundle.zip > hash
  dependencies:
    - compile
  artifacts:
    expire_in: 1 day
    paths:
      - build/ui-bundle.zip
      - hash
  only:
    refs:
      - main